%define	upstream_name	 Net-DNS-SEC
%define upstream_version 1.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    DNSSEC support for Net::DNS perl module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Crypt::OpenSSL::Bignum) >= 0.30.0
BuildRequires: perl(Crypt::OpenSSL::DSA) >= 0.100.0
BuildRequires: perl(Crypt::OpenSSL::RSA) >= 0.190.0
BuildRequires: perl(Digest::BubbleBabble) >= 0.10.0
BuildRequires: perl(Digest::SHA) >= 5.230.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(MIME::Base32)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Math::BigInt)
BuildRequires: perl(Net::DNS) >= 0.640.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(Time::Local)
BuildArch:  noarch

%description
This perl modules implements DNSSEC extensions as described in
rfc 2535, 2931. With it, you can use DS, SIG, KEY and NXT record.

It extends perl-Net-DNS to manipulate these records.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
rm -f t/14-misc.t
chmod 755 demo/{key2ds,make-signed-keyset}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make


%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README demo
%{perl_vendorlib}/Net
%{_mandir}/man?/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.20.0-4pclos2017
- rebuild against updates

